# Uses of Class
org.eclipse.emf.cdo.common.branch.CDODuplicateBranchException

Packages that use CDODuplicateBranchException
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.

## Uses of CDODuplicateBranchException in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch that throw CDODuplicateBranchException
Modifier and Type
Method
Description
`CDOBranch`
CDOBranch.`createBranch(String name)`
Creates a sub branch of this branch with the given name, `based` at the `current time`.
`CDOBranch`
CDOBranch.`createBranch(String name, long timeStamp)`
Creates a sub branch of this branch with the given name, `based` at the `branch point` in this branch with the given time stamp.
`void`
CDOBranch.`setName(String name)`

## Uses of CDODuplicateBranchException in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch that throw CDODuplicateBranchException
Modifier and Type
Method
Description
`InternalCDOBranch`
InternalCDOBranch.`createBranch(String name)`
`InternalCDOBranch`
InternalCDOBranch.`createBranch(String name, long timeStamp)`
`InternalCDOBranch`
InternalCDOBranchManager.`createBranch(int id, String name, InternalCDOBranch baseBranch, long baseTimeStamp)`
`void`
InternalCDOBranchManager.BranchLoader3.`renameBranch(int branchID, String oldName, String newName)`